commit 7b4e6d75b18dbb52bf507dbfd4c8e694e476d2af
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Oct 5 10:32:11 2021

    libstdc++: Fix testcase for newly-implemented C++20 semantics [PR102535]
    
    libstdc++-v3/ChangeLog:
    
            PR c++/102535
            * testsuite/20_util/is_trivially_constructible/value.cc: Adjust
            expected value for C++20.
    
    (cherry picked from commit 7646847df71e57edca5ec5b8c3c3dc4550dcb49d)

diff --git a/libstdc++-v3/testsuite/20_util/is_trivially_constructible/value.cc b/libstdc++-v3/testsuite/20_util/is_trivially_constructible/value.cc
index 488ea7585ff..fd1fbb07ecb 100644
--- a/libstdc++-v3/testsuite/20_util/is_trivially_constructible/value.cc
+++ b/libstdc++-v3/testsuite/20_util/is_trivially_constructible/value.cc
@@ -105,7 +105,7 @@ void test01()
   static_assert(test_property<is_trivially_constructible,
 		PODType, const PODType&>(true), "");
   static_assert(test_property<is_trivially_constructible,
-		PODType, int, int>(false), "");
+		PODType, int, int>(__cplusplus >= 202002L), "");
   static_assert(test_property<is_trivially_constructible,
 		NType>(false), "");
   static_assert(test_property<is_trivially_constructible,

